/// class PD.Web.UI.Controls.ViewGridColumnCommands
/// using PD.Commands.CommandGroup

PD.Web.UI.Controls.ViewGridColumnCommands =
PD.Commands.CommandGroup.extend({

    //===================================
    // PUBLIC METHODS
    //===================================

    registerCommands: function (e) {

        e.commands.add(new PD.Web.UI.Controls.ViewGridColumnClearAllFiltersCommand());
        e.commands.add(new PD.Web.UI.Controls.ViewGridColumnFilterDialogCommand());
        e.commands.add(new PD.Web.UI.Controls.ViewGridColumnRemoveFilterCommand());
        e.commands.add(new PD.Web.UI.Controls.ViewGridColumnAddColumnsLeftCommand());
        e.commands.add(new PD.Web.UI.Controls.ViewGridColumnAddColumnsRightCommand());
        e.commands.add(new PD.Web.UI.Controls.ViewGridColumnRemoveCommand());
        e.commands.add(new PD.Web.UI.Controls.ViewGridColumnSortAscendingCommand());
        e.commands.add(new PD.Web.UI.Controls.ViewGridColumnSortDescendingCommand());
        e.commands.add(new PD.Web.UI.Controls.ViewGridColumnRemoveSortCommand());
        e.commands.add(new PD.Web.UI.Controls.ViewGridColumnRemoveAllSortCommand());

    }

});